<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/coa.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$coa = new COA($db);
	$data = json_decode(file_get_contents("php://input"));
	$coa->account_type = $data->account_type;
	$stmt = $coa->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail=array(
				"id" => (int)$id,
				"type_of_expense" => $type_of_expense,
				"account_type" => $account_type,
				"account_code" => $account_code,
				"account_head" => $account_head,
				"debit" => $debit,
				"credit" => $credit
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>